Create Child ABHA
Creates a Child ABHA linked to the parent's ABHA.
Send the parent's X-token (from the parent's ABHA creation or login) and Benefit-Name.Only for Government integrators approved by NHA.
Endpoint: POST /abha/api/v3/enrollment/enrol/byAadhaar
Flow: Child ABHA - step 1 of 5
- Previous: none (first call of this flow)
- Next: Get Child ABHA list of the parent
Headers (plus Authorization: Bearer <gateway token>):
| Header | Required | Description |
|---|---|---|
| TIMESTAMP | yes | Current UTC timestamp in ISO-8601 format. |
| REQUEST-ID | yes | Unique UUID for every request. |
| Benefit-Name | yes | Applicable for user who is enrolling via Benefit Program. |
| X-token | yes | Applicable for child ABHA creation. X-token of Parent user, user can get X-token after login to the system |
Request body for this use case:
| Field | Value / Type | Required | Description |
|---|---|---|---|
authData |
object | yes | Authentication payload for this use case. |
authData.authMethods |
["child"] |
yes | Authentication method used in this step. |
authData.child |
object | yes | Child ABHA details. |
authData.child.dayOfBirth |
string | yes | Day of birth of the child. |
authData.child.monthOfBirth |
string | yes | Month of birth of the child. |
authData.child.yearOfBirth |
string | yes | Year of birth of the child. |
authData.child.gender |
string | yes | Gender (M / F / O). |
authData.child.password |
string | no | Password (RSA-encrypted) / password block. |
authData.child.name |
string | yes | Full name. |
authData.child.profilePhoto |
string | no | Base64 encoded profile photo. |
authData.child.parentConsent |
string | no | Parent consent flag for creating a child ABHA. |
consent |
object | yes | Consent captured from the user for ABHA enrolment. |
consent.code |
string | yes | Consent code. Use ABHA-enrollment. |
consent.version |
string | yes | Consent version. Use 1.4. |
Responses
200Success: Create CHILD ABHA - Positive Flow; CHILD ABHA - Account Already Exist
messagestringtokensobjecttokens.tokenstringtokens.expiresInintegertokens.refreshTokenstringtokens.refreshExpiresInintegerABHAProfileobjectABHAProfile.firstNamestringABHAProfile.middleNamestringABHAProfile.lastNamestringABHAProfile.dobstringABHAProfile.genderstringABHAProfile.mobilestringABHAProfile.phrAddressstring[]ABHAProfile.districtCodestringABHAProfile.stateCodestringABHAProfile.abhaTypestringABHAProfile.stateNamestringABHAProfile.districtNamestringABHAProfile.ABHANumberstringABHAProfile.abhaStatusstringisNewboolean401Unauthorized (invalid / expired gateway token, X-token or benefit access): CHILD ABHA-Invalid Benefit Name; CHILD ABHA-Access Issue; CHILD ABHA - X-token expired
messagestringtimestampstring422Unprocessable Entity (business rule or UIDAI failure): CHILD ABHA-CHILD LIMIT
errorobjecterror.codestringerror.messagestring